<?php



class ConveniosMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.ConveniosMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('CONVENIOS');
		$tMap->setPhpName('Convenios');

		$tMap->setUseIdGenerator(false);

		$tMap->addPrimaryKey('NITOCC', 'Nitocc', 'double', CreoleTypes::NUMERIC, true, 22);

	} 
} 